## org.eclipse.datatools.enablement.sybase.asa.base.catalog
Class SybaseASACatalogBaseGroup

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
                          org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
                              org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
                                  org.eclipse.datatools.modelbase.sql.accesscontrol.impl.AuthorizationIdentifierImpl
                                      org.eclipse.datatools.modelbase.sql.accesscontrol.impl.UserImpl
                                          org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseGroupImpl
                                              org.eclipse.datatools.enablement.sybase.asa.base.catalog.SybaseASACatalogBaseGroup

All Implemented Interfaces:
  ICatalogObject, SybaseASABaseGroup, SybaseAuthorizationIdentifier, AuthorizationIdentifier, Group, User, SQLObject, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class SybaseASACatalogBaseGroup

extends SybaseASABaseGroupImpl
implements ICatalogObject

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`SybaseASACatalogBaseGroup(ICatalogObject catalogDatabase)`

Method Summary
`boolean` `eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)`
`Database` `getCatalogDatabase()`
`java.sql.Connection` `getConnection()`
`java.lang.String` `getDescription()` Returns the value of the 'Description' attribute.
`org.eclipse.emf.common.util.EList` `getOwnedSchema()` Returns the value of the 'Owned Schema' reference list.
`org.eclipse.emf.common.util.EList` `getReceivedPrivilege()` Returns the value of the 'Received Privilege' containment reference list.
`org.eclipse.emf.common.util.EList` `getUser()`
`void` `refresh()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseASABaseGroupImpl
`basicGetSqlContainer, eBaseStructuralFeatureID, eDerivedStructuralFeatureID, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getSqlContainer, setSqlContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.accesscontrol.impl.UserImpl
`getGroup`

Methods inherited from class org.eclipse.datatools.modelbase.sql.accesscontrol.impl.AuthorizationIdentifierImpl
`basicGetDatabase, basicSetDatabase, getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getReceivedRoleAuthorization, setDatabase`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.EModelElementImpl
`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eIsProxy, eProxyURI, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.User
`getGroup`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getReceivedRoleAuthorization, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getReceivedRoleAuthorization, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.accesscontrol.AuthorizationIdentifier
`getDatabase, getGrantedPrivilege, getGrantedRoleAuthorization, getReceivedRoleAuthorization, setDatabase`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Constructor Detail

### SybaseASACatalogBaseGroup

    public SybaseASACatalogBaseGroup(ICatalogObject catalogDatabase)

Method Detail

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ICatalogObject`

### eIsSet

    public boolean eIsSet(org.eclipse.emf.ecore.EStructuralFeature eFeature)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.EObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getCatalogDatabase

    public Database getCatalogDatabase()

  Specified by:
    `getCatalogDatabase` in interface `ICatalogObject`

### getConnection

    public java.sql.Connection getConnection()

  Specified by:
    `getConnection` in interface `ICatalogObject`

### getUser

    public org.eclipse.emf.common.util.EList getUser()

  Description copied from class: `SybaseASABaseGroupImpl`

  Specified by:
    `getUser` in interface `Group`
  Overrides:
    `getUser` in class `SybaseASABaseGroupImpl`
  Returns:
    the value of the 'User' reference list.
  See Also:
    `SQLAccessControlPackage.getGroup_User()`, `User.getGroup()`

### getReceivedPrivilege

    public org.eclipse.emf.common.util.EList getReceivedPrivilege()

  Description copied from interface: `AuthorizationIdentifier`
  Returns the value of the 'Received Privilege' containment reference list. The list contents are of type `Privilege`. It is bidirectional and its opposite is '`Grantee`'.

  If the meaning of the 'Received Privilege' containment reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getReceivedPrivilege` in interface `AuthorizationIdentifier`
  Overrides:
    `getReceivedPrivilege` in class `org.eclipse.datatools.modelbase.sql.accesscontrol.impl.AuthorizationIdentifierImpl`
  Returns:
    the value of the 'Received Privilege' containment reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_ReceivedPrivilege()`, `Privilege.getGrantee()`

### getOwnedSchema

    public org.eclipse.emf.common.util.EList getOwnedSchema()

  Description copied from interface: `AuthorizationIdentifier`
  Returns the value of the 'Owned Schema' reference list. The list contents are of type `Schema`. It is bidirectional and its opposite is '`Owner`'.

  If the meaning of the 'Owned Schema' reference list isn't clear, there really should be more of a description here...

  Specified by:
    `getOwnedSchema` in interface `AuthorizationIdentifier`
  Overrides:
    `getOwnedSchema` in class `org.eclipse.datatools.modelbase.sql.accesscontrol.impl.AuthorizationIdentifierImpl`
  Returns:
    the value of the 'Owned Schema' reference list.
  See Also:
    `SQLAccessControlPackage.getAuthorizationIdentifier_OwnedSchema()`, `Schema.getOwner()`

### getDescription

    public java.lang.String getDescription()

  Description copied from interface: `SQLObject`
  Returns the value of the 'Description' attribute.

  If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

  Specified by:
    `getDescription` in interface `SQLObject`
  Overrides:
    `getDescription` in class `org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl`
  Returns:
    the value of the 'Description' attribute.
  See Also:
    `SQLObject.setDescription(String)`, `SQLSchemaPackage.getSQLObject_Description()`